All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::cuthill_mckee_tag Struct Reference

A tag class for selecting the Cuthill-McKee algorithm for reducing the bandwidth of a sparse matrix. More...

`#include <cuthill_mckee.hpp>`

## Detailed Description

A tag class for selecting the Cuthill-McKee algorithm for reducing the bandwidth of a sparse matrix.

Examples:
  bandwidth-reduction.cpp.

Definition at line 350 of file cuthill_mckee.hpp.

The documentation for this struct was generated from the following file:

- viennacl/misc/cuthill_mckee.hpp